﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
<%var data = data.SMIO_SIGNAL %>
<div id="System_SMIO">
<%
    var nodataText = "/*[ID_NO_DATA]*/";
    var nodatas = true;
    for(var i=0,ilen=data.length; i<ilen; i++){
        if(data[i].length>0){
        nodatas = false;
        var nodata = true;
%>        
    <div class="table-container margin-tn">
        <div class="table-title"><span><%=data[i][0][lang]%></span></div>
        <div class="table-list padding-tn">
            <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_SIGNAL]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_VALUE]*/</strong></li>
                        <li class="t-1" style="margin-left:37px;"><strong class="left pl">/*[ID_SIGNAL1]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_VALUE1]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                    <%
                    var g =0;
                    for(var j=1,jlen= data[i].length;j<jlen; j++){
                    g++;
                    if(g>3){ g = 0;}
                    var itemValue = data[i][j][1];
                    if(jQuery.type(itemValue)=="array"){
                        if(jQuery.type(itemValue[0])=="array"){
                            itemValue2 = itemValue[0][lang];
                        } else {
                            itemValue2 = itemValue[0];
                        };
                    } else {
                        itemValue2 =  itemValue;
                    }
                    if(Validates.CheckValue(itemValue)=="v_hidden"){ g--; } else {  nodata = false; }
                    %>
                    <ul class="<%if(g%2==0){ %>right <%} %><%if(g==1 || g==2){ %> gray<%} else { if(j==jlen-1 || j==jlen-2){ %> bottom_line <%}} %>  <%=Validates.CheckValue(itemValue)%>">
                        <li class="t-1"><span class="left pl"><%=data[i][j][0][lang] %></span></li>
                        <li class="t-2"><span class="left pl"><%=itemValue2 %></span></li>
                    </ul>
                    <%}; %>
                    <%if(nodata){ %>
                    <div class="system-no-data"><%=nodataText %></div>
                    <%} %>
                </div>
            </div>
        </div>
    </div>
    <%};}; %>
     <%if(nodatas){ %>
       <div class='is-empty'><%=nodataText %></div>
    <%} %>
</div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
        if(jQuery.cookie("systeminfo")!=1){
        $(".table li").css({"padding-right":"60px"});
        $(".table-container").css({width:'1163px'});
        $(".table-title").css({width:'1143px'});
	    $(".table-container .table").css({width:"1143"});
	    $("#System_SMIO .table-body ul").css({width:"564px"});
    }else{
        $(".table li").css({"padding-right":"0px"});
        $(".table-container").css({width:'917px'});
        $(".table-title,.table-container .table").css({width:'897px'});
        $("#System_SMIO .table-body ul").css({width:"441px"});
    }
</script>